package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConfRestricaoTramoOC;

public class RenderConfRestTramoOC implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ConfRestricaoTramoOC confOrgao = (ConfRestricaoTramoOC) o;

		Listcell lc = new Listcell(confOrgao.getOrigem() == null ?" - " :  confOrgao.getOrigem().getDescparada());
		lc.setParent(lstm);
		
		lc = new Listcell(confOrgao.getDestino() == null ?" - " :  confOrgao.getDestino().getDescparada());
		lc.setParent(lstm);
		
		lc.setParent(lstm);

		lstm.setAttribute("data", confOrgao);
	}
}
